import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.Graphics2D;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import java.awt.Dimension;
import javax.swing.JButton;
import javax.swing.BoxLayout;
import java.awt.Color;
import javax.swing.JLabel;
import javax.swing.JOptionPane;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class Figuras extends JFrame {

	private JPanel contentPane;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Figuras frame = new Figuras();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Figuras() {
		setSize(new Dimension(700, 700));
		setTitle("Figuras Geometricas");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JButton btnLinea = new JButton("Linea");
		btnLinea.setBounds(10, 11, 89, 23);
		contentPane.add(btnLinea);
		
		JButton btnRectangulo = new JButton("Rectangulo");
		btnRectangulo.setBounds(114, 11, 122, 23);
		contentPane.add(btnRectangulo);
		
		JButton btnCirculo = new JButton("Circulo");
		btnCirculo.setBounds(246, 11, 89, 23);
		contentPane.add(btnCirculo);
		
		JButton btnPoligono = new JButton("Poligono");
		btnPoligono.setBounds(345, 11, 89, 23);
		contentPane.add(btnPoligono);
		
		JPanel panelDibujo = new JPanel();
		panelDibujo.setBackground(Color.WHITE);
		panelDibujo.setBounds(10, 53, 664, 597);
		contentPane.add(panelDibujo);
		panelDibujo.setLayout(null);
		
		JButton btnLimpiar = new JButton("Limpiar");
		btnLimpiar.setBounds(449, 11, 89, 23);
		contentPane.add(btnLimpiar);
		//Acciones de los botones
		btnLinea.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				try {
				//Para obtener la parte grafica del panel
				Graphics2D g2=(Graphics2D) panelDibujo.getGraphics();
			int x1=Integer.parseInt(JOptionPane.showInputDialog("x1:"));
			int y1=Integer.parseInt(JOptionPane.showInputDialog("y1:"));
			int x2=Integer.parseInt(JOptionPane.showInputDialog("x2:"));
			int y2=Integer.parseInt(JOptionPane.showInputDialog("y2:"));
			g2.setColor(Color.RED); //Cambia el color de la linea
			g2.drawLine(x1, y1, x2, y2);//Dibuja linea
			g2.setColor(Color.BLACK);
				} catch (Exception ex){
					JOptionPane.showMessageDialog(null, "Datos incorrectos:");
				}
			}
		});
		btnRectangulo.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				try {
					//Para obtener la parte grafica del panel
					Graphics2D g2=(Graphics2D) panelDibujo.getGraphics();
				int x=Integer.parseInt(JOptionPane.showInputDialog("x:"));
				int y=Integer.parseInt(JOptionPane.showInputDialog("y:"));
				int ancho=
				Integer.parseInt(JOptionPane.showInputDialog("Anchura:"));
				int alto=Integer.parseInt(JOptionPane.showInputDialog("Altura:"));
				g2.setColor(Color.BLUE); //Cambia el color de la linea
				g2.fillRect(x, y, ancho, alto);//Dibuja rectangulo
				g2.setColor(Color.BLACK);
					} catch (Exception ex){
						JOptionPane.showMessageDialog(null, "Datos incorrectos:");
					}
			}
		});
		btnCirculo.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				try {
					//Para obtener la parte grafica del panel
					Graphics2D g2=(Graphics2D) panelDibujo.getGraphics();
				int x=Integer.parseInt(JOptionPane.showInputDialog("x:"));
				int y=Integer.parseInt(JOptionPane.showInputDialog("y:"));
				int ancho=
				Integer.parseInt(JOptionPane.showInputDialog("Anchura:"));
				int alto=Integer.parseInt(JOptionPane.showInputDialog("Altura:"));
				g2.setColor(Color.GREEN); //Cambia el color de la linea
				g2.fillOval(x, y, ancho, alto);//Dibuja circulo
				g2.setColor(Color.BLACK);
					} catch (Exception ex){
						JOptionPane.showMessageDialog(null, "Datos incorrectos:");
					}
			}
		});
		btnLimpiar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				panelDibujo.update(panelDibujo.getGraphics());//Limpiar area de dibujo
			}
		});
		btnPoligono.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				try {
					int [] puntosx,puntosy;
					String [] auxx,auxy;
					String entradax,entraday;
				entradax=
			JOptionPane.showInputDialog("Tecle las coordenadas x separadas por coma :");
			entraday=
			JOptionPane.showInputDialog("Tecle las coordenadas y separadas por coma:");
			//Crea un arreglo de Cadenas (String) dividiendo cada elemento de la cadena 
			//de entrada por coma y colocandolo en cada casilla del arreglo correspondiente
			auxx=entradax.split(","); 
			auxy=entraday.split(",");
			puntosx=new int[auxx.length];puntosy=new int[auxx.length];
			//Convierte los puntos de String a Integer
			for (int i=0;i<auxx.length;i++){
				puntosx[i]=Integer.parseInt(auxx[i]);
				puntosy[i]=Integer.parseInt(auxy[i]);
			}
			//Para obtener la parte grafica del panel
			Graphics2D g2=(Graphics2D) panelDibujo.getGraphics();
			g2.setColor(Color.PINK);
			//Dibuja poligono uniendo las coordenadas x y y de los puntos con una linea
			g2.fillPolygon(puntosx, puntosy, 4);
			g2.setColor(Color.BLACK);
				} catch (Exception ex) {
					JOptionPane.showMessageDialog(null, "Datos incorrectos:");
				}
			}
		});
		}
}

